package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttFlumBase;
import com.goldenwater.slgc.mapper.AttFlumBaseMapper;
import com.goldenwater.slgc.service.FlumeService;

/** 渡槽信息 业务实现 */
@Service
public class FlumeServiceImpl implements FlumeService {
    @Autowired
    private AttFlumBaseMapper attFlumBaseMapper;

    @Override
    public List<AttFlumBase> selectAttFlumBaseList(AttFlumBase attFlumBase) {
        return attFlumBaseMapper.selectAttFlumBaseList(attFlumBase);
    }

    @Override
    public AttFlumBase selectAttFlumBaseById(String flumCode) {
        return attFlumBaseMapper.selectAttFlumBaseById(flumCode);
    }

    @Override
    public int deleteAttFlumBaseByIds(String[] flumCodes) {
        return attFlumBaseMapper.deleteAttFlumBaseByIds(flumCodes);
    }

    @Override
    public int insertAttFlumBase(AttFlumBase attFlumBase) {
        return attFlumBaseMapper.insertAttFlumBase(attFlumBase);
    }

    @Override
    public int updateAttFlumBase(AttFlumBase attFlumBase) {
        return attFlumBaseMapper.updateAttFlumBase(attFlumBase);
    }
}
